# Unsubscribe from Publication POST /api/v1/publications/publication/unsubscribe/ Content-Type: application/json Resolves a publication via custom URL and deactivates the requesting user's subscription. The operation is idempotent and succeeds even if the user was already unsubscribed. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/publications/publication-unsubscribe-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/publications/publication/unsubscribe/: post: operationId: publication-unsubscribe-create summary: Unsubscribe from Publication description: >- Resolves a publication via custom URL and deactivates the requesting user's subscription. The operation is idempotent and succeeds even if the user was already unsubscribed. tags: - subpackage_publications responses: '200': description: User unsubscribed from the publication. content: application/json: schema: $ref: >- #/components/schemas/publications_publicationUnsubscribeCreate_Response_200 '401': description: Authentication required. content: application/json: schema: description: Any type '404': description: Publication not found or inaccessible. content: application/json: schema: description: Any type requestBody: content: application/json: schema: type: object properties: url: type: string description: Custom publication URL used for lookup. required: - url components: schemas: publications_publicationUnsubscribeCreate_Response_200: type: object properties: {} description: Empty response body title: publications_publicationUnsubscribeCreate_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/publications/publication/unsubscribe/" payload = { "url": "my-publication.aisquare" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/publication/unsubscribe/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"url":"my-publication.aisquare"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/publication/unsubscribe/" payload := strings.NewReader("{\n \"url\": \"my-publication.aisquare\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/publication/unsubscribe/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"url\": \"my-publication.aisquare\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/publications/publication/unsubscribe/") .header("Content-Type", "application/json") .body("{\n \"url\": \"my-publication.aisquare\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/publications/publication/unsubscribe/', [ 'body' => '{ "url": "my-publication.aisquare" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/publication/unsubscribe/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"url\": \"my-publication.aisquare\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["url": "my-publication.aisquare"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/publication/unsubscribe/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```